/**
 *  Web唐明明
 *  匆匆数载恍如梦，岁月迢迢华发增。
 *  碌碌无为枉半生，一朝惊醒万事空。
 */

import { mall, video, ticket, user } from "../../lib/tabBarData"

Page({
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(e) {
        if (e.companyoid && e.companyoid == "") {
            wx.showToast({
                title: "参数错误，缺少companyoId"
            })
            return
        }
        wx.getStorage({
            key     : 'compayId',
            success : res=>{
                wx.$api.publics.storeConfig({
                    company_id: res.data
                }).then(res => {
                    let tabBarVal = res.concat({}),
                        newTabBar = []

                    tabBarVal.forEach(res => {
                        switch (res.slug) {
                            case "video":
                                newTabBar.push(video)
                                break;
                            case "mall":
                                newTabBar.push(mall)
                                break;
                            case "ticket":
                                newTabBar.push(ticket)
                                break;
                            default :
                                newTabBar.push(user)
                                break;
                        }
                    })

                    if(tabBarVal.length == newTabBar.length){
                        getApp().globalData.storeTabBarConfig = newTabBar
                        wx.redirectTo({
                            url: newTabBar[0].pagePath,
                        })
                    }
                })
            }
        })
    },
    /**
     * 生命周期函数
     */
    onShow(){
        wx.hideHomeButton()
    }
})